DashboardController#index should also respond to JSON and YAML content types

11/02/2010 02:26 PM - Jochen Schalanda

Status: Closed   

Priority: Low   

Assignee: Jochen Schalanda   

Category: API   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

DashboardController#index currently only responds to requests for the content type text/html.

The information on that page (e. g. count of hosts which are out of sync) can be interesting for monitoring purposes so the output

should also be machine parsable.

Associated revisions

Revision 33e8e69b - 11/04/2010 10:30 AM - Jochen Schalanda

Fixes #424 - Added responders for JSON and YAML to DashboardController#index

History

#1 - 11/02/2010 02:29 PM - Jochen Schalanda

- File 0001-Fixes-424-Added-responders-for-JSON-and-YAML-to-Dash.patch added

The proposed patch adds responders for JSON and YAML to DashboardController#index.

#2 - 11/04/2010 10:47 AM - Jochen Schalanda

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 33e8e69ba9267cb1dd4f6b1c592616a877200084.

#3 - 11/04/2010 10:48 AM - Ohad Levy

- Assignee set to Jochen Schalanda

- Target version set to 0.1-6

#4 - 11/04/2010 10:48 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#5 - 11/04/2010 10:49 AM - Ohad Levy

- Category changed from Dashboard to API

Files

0001-Fixes-424-Added-responders-for-JSON-and-YAML-to-Dash.patch4.41 KB 11/02/2010 Jochen Schalanda
